For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
        • GETGet Bulk Sync Schemas
        • PATCHUpdate Bulk Sync Schemas
        • GETGet Bulk Sync Schema
        • PUTUpdate Bulk Sync Schema
        • POSTCancel Bulk Sync Schema
Logo
Log inBook a demo
API ReferenceBulk SyncSchemas

Update Bulk Sync Schemas

PATCH
https://app.polytomic.com/api/bulk/syncs/:id/schemas
PATCH
/api/bulk/syncs/:id/schemas
$curl -X PATCH https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/schemas \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": [
3 {
4 "data_cutoff_timestamp": "2023-04-25T12:00:00Z",
5 "disable_data_cutoff": false,
6 "enabled": true,
7 "id": "Contact",
8 "output_name": "contact",
9 "partition_key": "email",
10 "tracking_field": "updated_at",
11 "user_output_name": "my_contact",
12 "fields": [
13 {
14 "enabled": true,
15 "id": "email",
16 "obfuscated": false,
17 "output_name": "email",
18 "user_output_name": "my_email"
19 }
20 ],
21 "filters": [
22 {
23 "function": "Equality",
24 "field_id": "field1",
25 "value": null
26 }
27 ]
28 }
29 ]
30}
Patches one or more schemas on a bulk sync at once. Only schemas explicitly included in the request body are modified; schemas omitted from the request are left unchanged. This makes PATCH the right choice when you want to update a subset of tables without affecting the rest of the sync's schema configuration. Within each provided schema, omitting `fields` enables all available fields on that schema. To control which fields are enabled, include the `fields` array with explicit `enabled` values for each field. > 📘 To replace a single schema's configuration in full (clearing any fields you > omit), use > [`PUT /api/bulk/syncs/{id}/schemas/{schema_id}`](../../../../../api-reference/bulk-sync/schemas/update) > instead.
Was this page helpful?
Previous

Get Bulk Sync Schema

Next

Patches one or more schemas on a bulk sync at once.

Only schemas explicitly included in the request body are modified; schemas omitted from the request are left unchanged. This makes PATCH the right choice when you want to update a subset of tables without affecting the rest of the sync’s schema configuration.

Within each provided schema, omitting fields enables all available fields on that schema. To control which fields are enabled, include the fields array with explicit enabled values for each field.

📘 To replace a single schema’s configuration in full (clearing any fields you omit), use PUT /api/bulk/syncs/{id}/schemas/{schema_id} instead.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the bulk sync.

Headers

X-Polytomic-VersionstringOptional

Request

This endpoint expects an object.
schemaslist of objects or nullOptional

Schemas to patch. Schemas are matched by id; only schemas present in this list are updated.

Response

OK
datalist of objects or null

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error